perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hibbard, Timothy" <hibb...@ohio.edu>
Subject RE: $r->requires() issue.
Date Tue, 05 Feb 2013 16:38:41 GMT
Funny enough the Apache2::AuthCookie has that in the module:

package Apache2::AuthCookie;

use strict;

use Carp;
use CGI '3.12';
use mod_perl2 '1.9922';

use Apache::AuthCookie::Util;
use Apache2::RequestRec;
use Apache2::RequestUtil;
use Apache2::Log;
use Apache2::Access;
use Apache2::Response;
use Apache2::Util;
use APR::Table;
use Apache2::Const qw(:common M_GET HTTP_FORBIDDEN HTTP_MOVED_TEMPORARILY);
use vars qw($VERSION);


So I am really wondering why I am getting the error:

Can't locate object method "requires" via package "Apache2::RequestRec" at /usr/local/share/perl5/Apache2/AuthCookie.pm
line 377, <DATA> line 558.\n, 

Why does it say Apache2::RequestRec instead of Apache2::Access?

Seems like all the pieces are in place?

-----Original Message-----
From: Torsten Förtsch [mailto:torsten.foertsch@gmx.net] 
Sent: Tuesday, February 05, 2013 11:34 AM
To: Hibbard, Timothy
Cc: modperl@perl.apache.org
Subject: Re: $r->requires() issue.

On 02/05/2013 05:27 PM, Hibbard, Timothy wrote:
> Can someone clue me in to what libraries are needed for $r->requires().

$ perl -MModPerl::MethodLookup -e print_method requires


To use method 'requires' add:



        use Apache2::Access ();

Torsten

Mime
View raw message